Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SortInfo

    java.lang.Object
      jet.api.SortInfo

    public class SortInfo

extends java.lang.Object

A infomation package of sort

Field Summary
`static int` | `ASCENDING` sort type
`static int` | `DESCENDING` sort type
`static int` | `NOTSORTED` sort type
`java.lang.String` | `sortBy`
`int` | `sortOrder`

Constructor Summary
`SortInfo(java.lang.String sortBy, int sortOrder)` Constructor.

Method Summary
`java.lang.String` | `getSortBy()` get sortBy field mapping name
`int` | `getSortOrder()` get sortBy order
`void` | `setSortBy(java.lang.String sortBy)` set sortBy field mapping name
`void` | `setSortOrder(int sortOrder)` set sort order
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASCENDING

    public static final int ASCENDING

  sort type

### DESCENDING

    public static final int DESCENDING

  sort type

### NOTSORTED

    public static final int NOTSORTED

  sort type

### sortBy

    public java.lang.String sortBy

### sortOrder

    public int sortOrder

Constructor Detail

### SortInfo

    public SortInfo(java.lang.String sortBy,
                    int sortOrder)

  Constructor. Create sort information.

  Parameters:
    `sortBy` - the mapping name of the sortBy field.
    `sortOrder` - the order of the sort.

Method Detail

### getSortBy

    public java.lang.String getSortBy()

  get sortBy field mapping name

  Returns:
    sortBy field mapping name string

### getSortOrder

    public int getSortOrder()

  get sortBy order

  Returns:
    sortBy order number

### setSortBy

    public void setSortBy(java.lang.String sortBy)

  set sortBy field mapping name

  Parameters:
    `sortBy` - field mapping name string

### setSortOrder

    public void setSortOrder(int sortOrder)

  set sort order

  Parameters:
    `sortOrder` - sort order number

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD